Форум

Установка devtools под Linux Mint
Цитировать

Кто-нибудь может подсказать, как установить пакет devtools на Linux Mint 18. Запускаю процесс install.packages("devtools") но R чего-то не хватает.

Вот что получаю в процессе скачивания пакета с CRAN:

nstalling package into ‘/home/science/R/x86_64-pc-linux-gnu-library/3.3’

(as ‘lib’ is unspecified)

also installing the dependencies ‘openssl’, ‘httr’, ‘git2r’

 

пробую URL 'https://cran.rstudio.com/src/contrib/openssl_0.9.5.tar.gz'

Content type 'application/x-gzip' length 1236042 bytes (1.2 MB)

==================================================

downloaded 1.2 MB

 

пробую URL 'https://cran.rstudio.com/src/contrib/httr_1.2.1.tar.gz'

Content type 'application/x-gzip' length 133398 bytes (130 KB)

==================================================

downloaded 130 KB

 

пробую URL 'https://cran.rstudio.com/src/contrib/git2r_0.16.0.tar.gz'

Content type 'application/x-gzip' length 1121331 bytes (1.1 MB)

==================================================

downloaded 1.1 MB

 

пробую URL 'https://cran.rstudio.com/src/contrib/devtools_1.12.0.tar.gz'

Content type 'application/x-gzip' length 466618 bytes (455 KB)

==================================================

downloaded 455 KB

 

* installing *source* package ‘openssl’ ...

** пакет ‘openssl’ удачно распакован, MD5 sums проверены

Using PKG_CFLAGS=

Using PKG_LIBS=-lssl -lcrypto

------------------------- ANTICONF ERROR ---------------------------

Configuration failed because openssl was not found. Try installing:

* deb: libssl-dev (Debian, Ubuntu, etc)

* rpm: openssl-devel (Fedora, CentOS, RHEL)

* csw: libssl_dev (Solaris)

* brew: openssl (Mac OSX)

If openssl is already installed, check that 'pkg-config' is in your

PATH and PKG_CONFIG_PATH contains a openssl.pc file. If pkg-config

is unavailable you can set INCLUDE_DIR and LIB_DIR manually via:

R CMD INSTALL --configure-vars='INCLUDE_DIR=... LIB_DIR=...'

--------------------------------------------------------------------

ERROR: configuration failed for package ‘openssl’

* removing ‘/home/science/R/x86_64-pc-linux-gnu-library/3.3/openssl’

Warning in install.packages :

installation of package ‘openssl’ had non-zero exit status

* installing *source* package ‘git2r’ ...

** пакет ‘git2r’ удачно распакован, MD5 sums проверены

checking build system type... x86_64-unknown-linux-gnu

checking host system type... x86_64-unknown-linux-gnu

checking for gcc... gcc

checking whether the C compiler works... yes

checking for C compiler default output file name... a.out

checking for suffix of executables...

checking whether we are cross compiling... no

checking for suffix of object files... o

checking whether we are using the GNU C compiler... yes

checking whether gcc accepts -g... yes

checking for gcc option to accept ISO C89... none needed

checking for library containing inflate... -lz

checking for pkg-config... /usr/bin/pkg-config

checking pkg-config is at least version 0.9.0... yes

checking for libssl... no

checking for library containing EVP_EncryptInit...

configure: WARNING: "pkg-config failed to find libssl."

no

configure: error: in `/tmp/RtmpYX1bBd/R.INSTALL4c2df014538/git2r':

configure: error:

---------------------------------------------

The OpenSSL library that is required to

build git2r was not found.

 

Please install:

libssl-dev    (package on e.g. Debian and Ubuntu)

openssl-devel (package on e.g. Fedora, CentOS and RHEL)

openssl       (Homebrew package on OS X)

and try again.

 

If the OpenSSL library is installed on

your system but the git2r configuration

is unable to find it, you can specify

the include and lib path to OpenSSL with:

R CMD INSTALL --configure-args='--with-libssl-include=INCLUDE_PATH --with-libssl-lib=LIB_PATH' git2r

---------------------------------------------

See `config.log' for more details

ERROR: configuration failed for package ‘git2r’

* removing ‘/home/science/R/x86_64-pc-linux-gnu-library/3.3/git2r’

Warning in install.packages :

installation of package ‘git2r’ had non-zero exit status

ERROR: dependency ‘openssl’ is not available for package ‘httr’

* removing ‘/home/science/R/x86_64-pc-linux-gnu-library/3.3/httr’

Warning in install.packages :

installation of package ‘httr’ had non-zero exit status

ERROR: dependencies ‘httr’, ‘git2r’ are not available for package ‘devtools’

* removing ‘/home/science/R/x86_64-pc-linux-gnu-library/3.3/devtools’

Warning in install.packages :

installation of package ‘devtools’ had non-zero exit status

 

The downloaded source packages are in

‘/tmp/Rtmpy0vKLa/downloaded_packages’

Цитировать

Просит поставить openssl-devel
"Please install: openssl-devel" (если линукс на rpm пакетах)

закрыть

Поделиться

Отправить на почту
закрыть

Вход

закрыть

Регистрация

+ =
Авторизация
*
*

Login form protected by Login LockDown.


Регистрация
*
*
*
*
Генерация пароля